> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the definition for a specific pipeline



## OpenAPI

````yaml /api-reference/4.2/service-index-pipelines.json get /index-pipelines/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-pipelines
paths:
  /index-pipelines/{id}:
    get:
      tags:
        - 4.2 Index Pipelines API
      summary: Get the definition for a specific pipeline
      operationId: getPipeline
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineDefinitionObject'
components:
  schemas:
    PipelineDefinitionObject:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string

````